# Uses of Class
net.shibboleth.shared.collection.ClassIndexedSet

Packages that use ClassIndexedSet
Package
Description
net.shibboleth.shared.collection
Additional implementations of, and helpers for working with, collections.
net.shibboleth.shared.resolver
Interfaces for searching over data.

## Uses of ClassIndexedSet in net.shibboleth.shared.collection

Fields in net.shibboleth.shared.collection declared as ClassIndexedSet
Modifier and Type
Field
Description
`private final ClassIndexedSet<T>`
ClassIndexedSet.ClassIndexedSetIterator.`set`
The set instance over which this instance is an iterator.
Constructors in net.shibboleth.shared.collection with parameters of type ClassIndexedSet
Modifier
Constructor
Description
`protected`
`ClassIndexedSetIterator(ClassIndexedSet<T> parentSet, Iterator<T> parentIterator)`
Constructor.

## Uses of ClassIndexedSet in net.shibboleth.shared.resolver

Subclasses of ClassIndexedSet in net.shibboleth.shared.resolver
Modifier and Type
Class
Description
`class`
`CriteriaSet`
This class holds instances of `Criterion` which are used in resolution or evaluation operations.